Subject: Re: bug#3585: gdb not responding on Emacs from CVS

From: Baoqiu Cui <[email-masked]>
Date: Tue, 16 Jun 2009 10:00:01 -0700

Thanks for looking into this, Nick.  Please the info you need below:

[email-masked] (Nick Roberts) writes:

> Baoqiu Cui writes:
>  > Hi,
>  > 
>  > I've had this problem for a while on Emacs built from CVS.  Today I
>  > updated my Emacs directory and rebuilt everything, the problem still
>  > exists (GNU Emacs 23.0.94.1 (x86_64-unknown-linux-gnu, X toolkit)).
>  > 
>  > Basically, after typing in ``M-x gdb'' to debug a program, say myprog, a
>  > buffer called *gud-myprog* will appear, and it displays some info about
>  > gdb and prints out a prompt:
>  > 
>  >   (gdb) _
>  > 
>  > Now, if I type in a command like "pwd" and press Enter, *nothing*
>  > happens.  I have to press C-c C-c to get out:
>  > 
>  >   (gdb) pwd
>  >     C-c C-cQuit
>  >   (gdb)
>  > 
>  > This does not happen on Emacs 22.3.
>  > 
>  > Does anyone know what the problem is?
>
> I don't see this.  What version of GDB do you have?
>
> Can you please do M-x gdb-enable-debug before M-x gdb and post the value of gdb-debug-log
> after doing:
>
> (gdb) pwd<RET>

After typing in ``pwd<RET>'', gdb-debug-log has the following value
(from which you can see the GDB version that I use):

------------------------------------------------------------------------
gdb-debug-log is a variable defined in `gdb-ui.el'.
Its value is 
((recv . "(gdb) ")
 (recv . "Using host libthread_db library \"/lib64/tls/libthread_db.so.1\".\n")
 (recv . "License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>\nThis is free software: you are free to change and redistribute it.\nThere is NO WARRANTY, to the extent permitted by law.  Type \"show copying\"\nand \"show warranty\" for details.\nThis GDB was configured as \"x86_64-unknown-linux-gnu\"...\n")
 (recv . "GNU gdb 6.7.1\nCopyright (C) 2007 Free Software Foundation, Inc.\n"))
------------------------------------------------------------------------

It seems that the Return key was ignored.  After pressing C-c C-c, the
value of gdb-debug-log becomes:

------------------------------------------------------------------------
gdb-debug-log is a variable defined in `gdb-ui.el'.
Its value is 
((recv . "(gdb) ")
 (recv . "Quit\n")
 (recv . "(gdb) ")
 (recv . "Using host libthread_db library \"/lib64/tls/libthread_db.so.1\".\n")
 (recv . "License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>\nThis is free software: you are free to change and redistribute it.\nThere is NO WARRANTY, to the extent permitted by law.  Type \"show copying\"\nand \"show warranty\" for details.\nThis GDB was configured as \"x86_64-unknown-linux-gnu\"...\n")
 (recv . "GNU gdb 6.7.1\nCopyright (C) 2007 Free Software Foundation, Inc.\n"))
------------------------------------------------------------------------

Thanks,
Baoqiu